Skip to main content
POST
/
api
/
v3
/
profiles
/
{profile_id}
Update profile
curl --request POST \
  --url https://api.dataspike.io/api/v3/profiles/{profile_id} \
  --header 'Content-Type: application/json' \
  --header 'ds-api-token: <api-key>' \
  --data '
{
  "name": "new name for profile",
  "description": "description of profile.",
  "settings": {
    "poi_allowed_documents": [
      "passport"
    ],
    "face_comparison_allowed_documents": [
      "selfie"
    ],
    "poa_required": false,
    "disable_cross_check_by_bio": false,
    "disable_cross_check_by_photo": false,
    "disable_verify_poa_country_match_with_poi": false,
    "countries": [
      "FR"
    ],
    "allow_poi_manual_uploads": false,
    "allow_desktop": false,
    "ui_settings": {}
  }
}
'
{
  "message": "Bad request"
}

Authorizations

ds-api-token
string
header
required

Path Parameters

profile_id
string<uuid>
required

Existing profile id

Example:

"01827ed5-c228-7a3c-9a31-7ab7cc169d13"

Body

application/json

Change Verification Profile Request

name
string
Example:

"new name for profile"

description
string
Example:

"description of profile."

settings
object

Change verification profile settings

Response

Profile updated